BufferCounterUpdateCell (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db

## Class BufferCounterUpdateCell

- java.lang.Object
- - org.apache.cassandra.db.AbstractCell
  - - org.apache.cassandra.db.BufferCell
    - - org.apache.cassandra.db.BufferCounterUpdateCell

- All Implemented Interfaces:
    Cell, CounterUpdateCell, OnDiskAtom

      public class BufferCounterUpdateCell
      extends BufferCell
      implements CounterUpdateCell

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.db.OnDiskAtom

      `OnDiskAtom.Serializer, OnDiskAtom.SerializerForWriting`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.db.BufferCell

      `name, timestamp, value`

    - ### Fields inherited from interface org.apache.cassandra.db.Cell

      `MAX_NAME_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferCounterUpdateCell(CellName name, java.nio.ByteBuffer value, long timestamp)`
    `BufferCounterUpdateCell(CellName name, long value, long timestamp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `delta()`
    `Cell` | `diff(Cell cell)`
    `java.lang.String` | `getString(CellNameType comparator)`
    `Cell` | `localCopy(CFMetaData metadata, AbstractAllocator allocator)`
    `Cell` | `localCopy(CFMetaData metadata, MemtableAllocator allocator, OpOrder.Group opGroup)`
    `Cell` | `reconcile(Cell cell)`
    `int` | `serializationFlags()`
    `Cell` | `withUpdatedName(CellName newName)`

    - ### Methods inherited from class org.apache.cassandra.db.BufferCell

      `name, timestamp, unsharedHeapSizeExcludingData, value, withUpdatedTimestamp, withUpdatedTimestampAndLocalDeletionTime`

    - ### Methods inherited from class org.apache.cassandra.db.AbstractCell

      `cellDataSize, create, diffCounter, equals, equals, getLocalDeletionTime, hashCode, isLive, isLive, onDiskIterator, reconcileCounter, serializedSize, updateDigest, validateFields, validateName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.db.Cell

      `cellDataSize, isLive, isLive, name, serializedSize, unsharedHeapSizeExcludingData, value, withUpdatedTimestamp, withUpdatedTimestampAndLocalDeletionTime`

    - ### Methods inherited from interface org.apache.cassandra.db.OnDiskAtom

      `getLocalDeletionTime, timestamp, updateDigest, validateFields`

- - ### Constructor Detail

    - #### BufferCounterUpdateCell

          public BufferCounterUpdateCell(CellName name,
                                         long value,
                                         long timestamp)

    - #### BufferCounterUpdateCell

          public BufferCounterUpdateCell(CellName name,
                                         java.nio.ByteBuffer value,
                                         long timestamp)

  - ### Method Detail

    - #### withUpdatedName

          public Cell withUpdatedName(CellName newName)

      Specified by:
        `withUpdatedName` in interface `Cell`
      Overrides:
        `withUpdatedName` in class `BufferCell`

    - #### delta

          public long delta()

      Specified by:
        `delta` in interface `CounterUpdateCell`

    - #### diff

          public Cell diff(Cell cell)

      Specified by:
        `diff` in interface `Cell`
      Overrides:
        `diff` in class `AbstractCell`

    - #### reconcile

          public Cell reconcile(Cell cell)

      Specified by:
        `reconcile` in interface `Cell`
      Overrides:
        `reconcile` in class `AbstractCell`

    - #### serializationFlags

          public int serializationFlags()

      Specified by:
        `serializationFlags` in interface `Cell`
      Overrides:
        `serializationFlags` in class `AbstractCell`

    - #### localCopy

          public Cell localCopy(CFMetaData metadata,
                                AbstractAllocator allocator)

      Specified by:
        `localCopy` in interface `Cell`
      Overrides:
        `localCopy` in class `BufferCell`

    - #### localCopy

          public Cell localCopy(CFMetaData metadata,
                                MemtableAllocator allocator,
                                OpOrder.Group opGroup)

      Specified by:
        `localCopy` in interface `Cell`
      Overrides:
        `localCopy` in class `BufferCell`

    - #### getString

          public java.lang.String getString(CellNameType comparator)

      Specified by:
        `getString` in interface `Cell`
      Overrides:
        `getString` in class `AbstractCell`

Copyright © 2018 The Apache Software Foundation